Unable to play large tide file when using spread transport
Description

rsbag crashes with a REJECT-QUOTA error when trying to play a large tide file. This setup uses a single spread running on localhost.

$ rsbag play VP1R1_verbal_2015-09-21_12-08-44.tide

Failed to create INFORMER participant in the channel designated by
"/rsb/introspection/participants/16e144bbb49847e0a7128ab7ceacfcb9/". Caused by:
> Failed to construct SPREAD connector for direction OUT with options

>

> :HOST "lax"
> :PORT "3803"
>

> . Caused by:

>

$ s -la VP1R1_verbal 2015-09-21_12-08-44.tide

> Failed to connect to the spread daemon designated by "3803@lax": REJECT-QUOTA.

-rw-r--r-- 1 csracontrol csra 202M 2015-09-22 11:53 VP1R1_verbal 2015-09-21_12-08-44.tide

This might be due to the creation of indivdual informers for every scope in that file. One solution can be the reduction to a single

informer to send the events.

Related issues:

Related to Robotics Service Bus - Enhancement # 2199: Spread connection pooli... Resolved 03/11/2015

History

#1 - 09/27/2015 02:30 PM - J. Moringen

- Related to Enhancement #2199: Spread connection pooling for informers [Common Lisp] added

#2 - 06/08/2016 09:01 PM - J. Moringen
- Target version changed from rsb-0.14 to rsb-0.15

#3 - 11/07/2016 10:32 AM - J. Moringen
- Target version changed from rsb-0.15 to rsb-0.16

#4 - 04/10/2017 08:59 PM - J. Moringen
- Target version changed from rsb-0.16 to rsb-0.17

#5 - 10/16/2017 09:23 PM - J. Moringen
- Target version changed from rsb-0.17 to rsb-0.18
